package vip.xiaonuo.production.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 能耗单价表填报
 * </p>
 *
 * @author author
 * @since 2025-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("production_energy_price")
public class ProductionEnergyPrice implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 电量
     */
    @ApiModelProperty(value = "电量", position =1)
    private String electricity;

    /**
     * 蒸汽
     */
    @ApiModelProperty(value = "蒸汽", position =2)
    private String zhengQi;

    /**
     * 氮气
     */
    @ApiModelProperty(value = "氮气", position =3)
    private String danQi;

    /**
     * 压缩空气
     */
    @ApiModelProperty(value = "压缩空气", position =4)
    private String yaSuo;

    /**
     * ro水总量
     */
    @ApiModelProperty(value = "ro水总量", position =5)
    private String roWater;

    /**
     * 自来水
     */
    @ApiModelProperty(value = "自来水", position =6)
    private String ziWater;

    /**
     * 循环水
     */
    @ApiModelProperty(value = "循环水", position =7)
    private String xunWater;

    /**
     * 7度水
     */
    @ApiModelProperty(value = "7度水", position =8)
    private String qiWater;

    /**
     * -15度水
     */
    @ApiModelProperty(value = "-15度水", position =9)
    private String fuShiwuWater;

    /**
     * -25度水
     */
    @ApiModelProperty(value = "-25度水", position =9)
    private String fuErshiwuWater;

    /**
     * 热水
     */
    @ApiModelProperty(value = "热水", position =10)
    private String reWater;

    /**
     * 低温水
     */
    @ApiModelProperty(value = "低温水", position =11)
    private String diwenWater;

    /**
     * -15度乙二醇
     */
    @ApiModelProperty(value = "-15度乙二醇", position =12)
    private String fushiwuYierchun;

    /**
     * -25度乙二醇
     */
    @ApiModelProperty(value = "-25度乙二醇", position =13)
    private String fuershiwuYierchun;

    /**
     * 公司id
     */
    @ApiModelProperty(value = "公司id", position =14)
    private String orgId;

    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司名称", position =15)
    private String orgName;

    /**
     * 车间id
     */
    @ApiModelProperty(value = "车间id", position =16)
    private String locationId;

    /**
     * 车间名称
     */
    @ApiModelProperty(value = "车间名称", position =17)
    private String locationName;


}
